FROM ocaml/opam:ubuntu

MAINTAINER Daniel

USER root

RUN apt-get -q update && \
    apt-get install -qq -yy python festival sox ffmpeg && \
    apt-get clean

RUN curl -L https://yt-dl.org/downloads/latest/youtube-dl -o /usr/local/bin/youtube-dl && \
    chmod a+rx /usr/local/bin/youtube-dl

USER opam

RUN opam switch 4.05.0 && \
    opam depext cry faad ffmpeg flac gstreamer lame liquidsoap mad opus samplerate ssl taglib vorbis && \
    opam install cry faad ffmpeg flac gstreamer lame liquidsoap mad opus samplerate ssl taglib vorbis

CMD ["liquidsoap", "-h"]
